For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • GETGet Shopping List
            • PUTUpdate Shopping List
            • DELDelete Shopping List
            • DELDelete Shopping List Item
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementShopping List

Delete Shopping List

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/shopping-list/:shoppingListId
DELETE
/api/v3/io/shopping-list/:shoppingListId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/shopping-list/1 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "meta": {
4 "message": "Shopping list deleted successfully"
5 },
6 "data": {
7 "shoppingListId": 42
8 }
9}
Delete a shopping list. Note this will not delete a shopping list item.
Was this page helpful?
Previous

Update Shopping List

Next

Delete Shopping List Item

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

shoppingListIdintegerRequired
The unique ID for a shopping list.

Query parameters

userIdintegerOptional
B2B Edition buyer user ID, you can enter a user ID for check if this user can delete this shopping list.

Response

OK
codeinteger
Response code of success request.
metaobject
dataobject

Errors

404
Not Found Error